using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 物流信息
    /// </summary>
    [SugarTable("YB_ExPress", TableDescription = "物流信息", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_ExPress
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 物流名称
        /// </summary>
        [SugarColumn(ColumnDescription = "物流名称", ColumnDataType = "nvarchar(50)")]
        public System.String Name { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(ColumnDescription = "联系人", ColumnDataType = "nvarchar(50)")]
        public System.String Contact { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnDescription = "联系电话", ColumnDataType = "varchar(20)")]
        public System.String Phone { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", ColumnDataType = "nvarchar(200)")]
        public System.String Remark { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
